<?php

class AdminKoPakkepostBookingConfigController extends ModuleAdminController
{
    public function __construct()
    {
        parent::__construct();
        $this->bootstrap = true;
        $this->fields_options = [
            'options' => [
                'title' =>  $this->l('Oppsett av modul'),
                'fields' => [
                    $this->module->name.'_user_id' => [
                        'title' => $this->l('UserId'),
                        'type' => 'text',
                        'desc' => '<a href="https://www.pakkepost.no/min-side/profil" target="_blank">'.$this->l('Trykk her for å finne din UserId').'</a> eller: <br><a class="" href="https://www.pakkepost.no/nettbutikk/user" target="_blank">'.$this->l('Trykk her om du ikke har registrert deg ennå').'</a>',
                    ],
             
                    $this->module->name.'_senderName' => [
                        'title' => $this->l('Avsender navn'),
                        'type' => 'text',
                        'required' => true,
                    ],
                    $this->module->name.'_senderAddressLine' => [
                        'title' => $this->l('Avsender Gateadresse'),
                        'type' => 'text',
                        'required' => true,
                    ],
                    $this->module->name.'_senderAddressLineNumber' => [
                        'title' => $this->l('Avsender Gatenummer'),
                        'type' => 'text',
                        'required' => true,
                    ],
                    $this->module->name.'_'.'senderPostalCode' => [
                        'title' => $this->l('Avsender Postnummer'),
                        'type' => 'text',
                        'required' => true,
                    ],
                    $this->module->name.'_senderCity' => [
                        'title' => $this->l('Avsender Poststed'),
                        'type' => 'text',
                        'required' => true,
                    ],
                    $this->module->name.'_senderEmail' => [
                        'title' => $this->l('Avsender Epost'),
                        'type' => 'text',
                        'required' => true,
                    ],
                    $this->module->name.'_senderPhoneNumber' => [
                        'title' => $this->l('Avsender Telefon/mobil'),
                        'type' => 'text',
                        'required' => true,
                    ],
                ],
                'submit' => [
                    'title' => $this->l('Lagre'),
                    'name' => 'submitOptions'
                ],
            ],
        ];
    }

    public function initContent()
    {        
        if(!Module::isEnabled('ko_admintheme'))
            $this->content .= '<iframe class="panel" style="height: 310px;width: 100%;" src="https://dokumentasjon.komplettnettbutikk.no/pakkepost.html"></iframe>';
        parent::initContent();
    }

}