<?php

class ko_pakkepost_booking extends Module {

    public function __construct() {
        $this->name = "ko_pakkepost_booking";
        $this->version = "1.0.5";
        $this->author = "KomplettNettbutikk.no AS";
        $this->need_instance = 0;

        parent::__construct();
        $this->displayName = $this->l('Pakkepost Booking');

        $this->tabs = [
            [
                'class_name' => 'AdminKoPakkepostBookingConfig',
                'name' => 'Pakkepost Booking',
                'parent_class_name' => 'AdminParentShipping',
                'visible' => true,
            ],
        ];

        $this->methods = [
            ['id' => 153,  'name' => 'Pakkepost Norge S'],
            ['id' => 2005, 'name' => 'Norge M'],
            ['id' => 2006, 'name' => 'Norge L'],
            ['id' => 2007, 'name' => 'Norge XL'],
            ['id' => 2011, 'name' => 'Bedrift S'],
            ['id' => 2013, 'name' => 'Bedrift M'],
            ['id' => 2012, 'name' => 'Bedrift L'],
            ['id' => 2014, 'name' => 'Spesial L'],
            ['id' => 2017, 'name' => 'Spesial XL'],
        ];
    }

    public function install()
    {
        if(!Module::isEnabled('ko_admintheme'))
            $pp_init_ref = file_get_contents('https://shared.komplettnettbutikk.no/init_module/?token=3d9031112s&msg=PP+'._PS_BASE_URL_);
        return parent::install() && $this->registerHook('displayAdminOrderSide') && Configuration::updateValue('pp_init', $pp_init_ref);
    }


    public function hookDisplayAdminOrderSide($params) {
        if(!$this->active)
            return;
        try {
            $tpl_vars = [
                'link_back'      => $this->context->link->getAdminLink('AdminOrders', ['vieworder'=>1,'id_order'=> $params["id_order"]]),
                'generate_label_link'      => $this->context->link->getAdminLink('AdminKoPakkepostBookingGenerateLabel'),
                'id_order' => $params['id_order'],
                'methods' => $this->methods,
                'configlink' => $this->context->link->getAdminLink('AdminKoPakkepostBookingConfig')
            ];
        } catch(\Exception $e) {
            return 'Det er en feil med innstillingene i Pakkepost-modulet';
        }

        return $this->get('twig')->render('@Modules/ko_pakkepost_booking/views/templates/hooks/hookDisplayAdminOrderSide.html.twig',$tpl_vars);
    }


    public function getContent()
    {
        Tools::redirectAdmin($this->context->link->getAdminLink('AdminKoPakkepostBookingConfig'));
    }
}