<?php

namespace Komplettnettbutikk\Pakkepost;
use \GuzzleHttp\Client;
use \GuzzleHttp\RequestOptions;

class PakkepostBooking {
	const API_URL_LIVE = 'https://pakkepost.azure-api.net/v1/booking'; 
	const API_URL_TEST = 'https://pakkepost.azure-api.net/test/booking';
	const API_KEY_PRIMARY_LIVE = '41b5931639f14364bfca76d151f00a15'; 
	const API_KEY_SECONDARY_LIVE = '3d8b5a4f266a4c36ba6df4dafae3a954'; 
	const API_KEY_PRIMARY_TEST = '0aeff36043cd483cb5221ca2a5aa3a0e';
	const API_KEY_SECONDARY_TEST = '1c6834b0e5b54d14aa3d7b3d49e37fd2';
	private $client;

	public function __construct()
	{
		$this->client = new Client([
			'base_url' => $this->isLive() ? self::API_URL_LIVE : self::API_URL_TEST,
			'defaults' => [
				'headers' => [
					'Ocp-Apim-Subscription-Key' => $this->isLive() ? self::API_KEY_PRIMARY_LIVE : self::API_KEY_PRIMARY_TEST,
				],
			]
		]);
	}

	public function isLive()
	{
		return \Configuration::get('ko_pakkepost_booking_live');
	}
	
	public function getPaymentUrl($shipments)
	{
		$response = $this->client->post(null, [
			'json' => $shipments,
		]);

		if($response->getStatusCode() != 200)
			return false;
		return $response->getBody()->getContents();
	}
}